OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
oms::Connection Class Reference

** More...

`#include <Connection.h>`

Inheritance diagram for oms::Connection:
[legend]
Collaboration diagram for oms::Connection:
[legend]

## Public Member Functions
| Connection (const oms::ComRef &conA, const oms::ComRef &conB, bool suppressUnitConversion=false, oms_connection_type_enu_t type=oms_connection_single)
| ~Connection ()
| Connection (const Connection &rhs)
Connection & | operator= (const Connection &rhs)
oms_status_enu_t | exportToSSD (pugi::xml_node &root) const
const oms::ComRef | getSignalA () const
const oms::ComRef | getSignalB () const
const oms::ssd::ConnectionGeometry * | getGeometry () const
void | setGeometry (const oms::ssd::ConnectionGeometry *newGeometry, bool inverse=false)
const oms_linear_transformation_t | getLinearTransformation () const
void | setLinearTransformation (double factor, double offset)
oms_connection_type_enu_t | getType () const
bool | isEqual (const oms::Connection &connection) const
bool | isEqual (const oms::ComRef &signalA, const oms::ComRef &signalB) const
| "A->B" and "B->A" are treated the same
bool | isStrictEqual (const oms::ComRef &signalA, const oms::ComRef &signalB) const
| "A->B" is not strict equal "B->A"
bool | containsSignal (const oms::ComRef &signal) const
bool | containsSignalB (const oms::ComRef &signal) const
bool | getSuppressUnitConversion ()
oms_status_enu_t | rename (const oms::ComRef &cref, const oms::ComRef &newCref)

## Static Public Member Functions
static bool | isValid (const ComRef &crefA, const ComRef &crefB, const Connector &conA, const Connector &conB)
| Checks a connection based on SSP-1.0 connection table.
static bool | isValidExportConnectorName (const Connector &conA, const Connector &conB)
static bool | isValidUnits (const ComRef &crefA, const ComRef &crefB, const Connector &conA, const Connector &conB)
static void | getSIUnits (const Connector &connector, std::map< std::string, std::string > &baseUnits)

## Friends
bool | operator== (const Connection &lhs, const Connection &rhs)
bool | operator!= (const Connection &lhs, const Connection &rhs)

## Detailed Description

**

## Constructor & Destructor Documentation

## ◆ Connection() [1/2]

oms::Connection::Connection | ( | const oms::ComRef & | conA,
|  | const oms::ComRef & | conB,
|  | bool | suppressUnitConversion = `false`,
|  | oms_connection_type_enu_t | type = `oms_connection_single`
| ) |  |

Here is the call graph for this function:

## ◆ ~Connection()

oms::Connection::~Connection | ( |  | ) |

## ◆ Connection() [2/2]

oms::Connection::Connection | ( | const Connection & | rhs | ) |

## Member Function Documentation

## ◆ containsSignal()

bool oms::Connection::containsSignal | ( | const oms::ComRef & | signal | ) | const

## ◆ containsSignalB()

bool oms::Connection::containsSignalB | ( | const oms::ComRef & | signal | ) | const

## ◆ exportToSSD()

oms_status_enu_t oms::Connection::exportToSSD | ( | pugi::xml_node & | root | ) | const

Here is the call graph for this function:

## ◆ getGeometry()

const oms::ssd::ConnectionGeometry * oms::Connection::getGeometry | ( |  | ) | const
| inline

## ◆ getLinearTransformation()

const oms_linear_transformation_t oms::Connection::getLinearTransformation | ( |  | ) | const
| inline

## ◆ getSignalA()

const oms::ComRef oms::Connection::getSignalA | ( |  | ) | const
| inline

## ◆ getSignalB()

const oms::ComRef oms::Connection::getSignalB | ( |  | ) | const
| inline

## ◆ getSIUnits()

void oms::Connection::getSIUnits | ( | const Connector & | connector,
|  | std::map< std::string, std::string > & | baseUnits
| ) |  |
| static

## ◆ getSuppressUnitConversion()

bool oms::Connection::getSuppressUnitConversion | ( |  | ) |
| inline

## ◆ getType()

oms_connection_type_enu_t oms::Connection::getType | ( |  | ) | const
| inline

## ◆ isEqual() [1/2]

bool oms::Connection::isEqual | ( | const oms::ComRef & | signalA,
|  | const oms::ComRef & | signalB
| ) |  | const

"A->B" and "B->A" are treated the same

## ◆ isEqual() [2/2]

bool oms::Connection::isEqual | ( | const oms::Connection & | connection | ) | const

## ◆ isStrictEqual()

bool oms::Connection::isStrictEqual | ( | const oms::ComRef & | signalA,
|  | const oms::ComRef & | signalB
| ) |  | const

"A->B" is not strict equal "B->A"

## ◆ isValid()

bool oms::Connection::isValid | ( | const ComRef & | crefA,
|  | const ComRef & | crefB,
|  | const Connector & | conA,
|  | const Connector & | conB
| ) |  |
| static

Checks a connection based on SSP-1.0 connection table.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isValidExportConnectorName()

bool oms::Connection::isValidExportConnectorName | ( | const Connector & | conA,
|  | const Connector & | conB
| ) |  |
| static

Checks the validity of connections based on export connector names it is possible that connections are valid even though the causality check based on SSP-1.0 fails. This is the case when connecting system connectors to element connectors based on export names and how the decomposition of the top level system is done.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isValidUnits()

bool oms::Connection::isValidUnits | ( | const ComRef & | crefA,
|  | const ComRef & | crefB,
|  | const Connector & | conA,
|  | const Connector & | conB
| ) |  |
| static

Here is the caller graph for this function:

## ◆ operator=()

oms::Connection & oms::Connection::operator= | ( | const Connection & | rhs | ) |

## ◆ rename()

oms_status_enu_t oms::Connection::rename | ( | const oms::ComRef & | cref,
|  | const oms::ComRef & | newCref
| ) |  |

Here is the call graph for this function:

## ◆ setGeometry()

void oms::Connection::setGeometry | ( | const oms::ssd::ConnectionGeometry * | newGeometry,
|  | bool | inverse = `false`
| ) |  |

## ◆ setLinearTransformation()

void oms::Connection::setLinearTransformation | ( | double | factor,
|  | double | offset
| ) |  |

## Friends And Related Symbol Documentation

## ◆ operator!=

bool operator!= | ( | const Connection & | lhs,
|  | const Connection & | rhs
| ) |  |
| friend

## ◆ operator==

bool operator== | ( | const Connection & | lhs,
|  | const Connection & | rhs
| ) |  |
| friend

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/Connection.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1598/src/OMSimulatorLib/Connection.cpp